Skip to main content
POST
/
packages
/
create
Create Package
curl --request POST \
  --url https://api.swoogo.com/api/v1/packages/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data admin_short_name= \
  --data capacity= \
  --data event_id=1 \
  --data 'name=Sample Package' \
  --data public_short_name=
{
  "created_at": "2022-06-26 14:30:00",
  "updated_at": "2022-06-26 14:30:00"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Body

application/x-www-form-urlencoded
admin_short_name
string
Example:

""

capacity
string
Example:

""

event_id
string
Example:

"1"

name
string
Example:

"Sample Package"

public_short_name
string
Example:

""

Response

Create Object

created_at
string
Example:

"2022-06-26 14:30:00"

updated_at
string
Example:

"2022-06-26 14:30:00"